from level import Back, Wall, Floor, Battery, BeamWall, \
	Information, Gizmo, Detector
from doors import BackDoor, SideDoor
from stairs import Stairs

def make_back_palette():
	return [
		Back("brick_wall.png"),
		Back("brick_wall_window.png"),
		Back("brick_wall_door_left.png"),
		Back("brick_wall_door_right.png"),
		
		Back("office_back.png"),
		Back("office_window.png"),
		Back("office_logo.png"),
		Back("office_lab_sign.png"),
		
		Back("lab_back.png"),
		Back("lab_window.png"),
	]

def make_wall_palette():
	return [
		Wall("fire_escape_ladder.png", passable = True, climbable = True),
		Wall("fire_escape_top.png", passable = True),
		Wall("brick_end.png", border = 1),
		Wall("brick_pave_end.png"),
		
		Wall("office_wall.png"),
		SideDoor("office_side_door.png", 9, 2, open_sound = "door_open.wav"),
		
		Wall("lab_wall.png"),
		SideDoor("lab_door.png", 9, 2, open_sound = "door_open.wav"),
		BeamWall((255,0,0), "red_beam.png"),
		BeamWall((0,255,0), "green_beam.png"),
		BeamWall((0,0,255), "blue_beam.png"),
	]

def make_floor_palette():
	return [
		Floor("pavement.png"),
		Floor("fire_escape_floor.png"),
		
		Floor("office_floor.png"),
		Floor(front_image = "office_landing.png", front_border = 2, passable = True),
		
		Floor("lab_floor.png"),
		Floor(front_image = "lab_landing.png", front_border = 2, passable = True),
	]

def make_gizmo_palette():
	return [
		BackDoor("brick_wall_window_open.png", 1),
		BackDoor("lab_window_open.png", 1),
		BackDoor("back_door.png", 9, open_sound = "door_open.wav"),
		BackDoor("lift_door.png", 11, open_sound = "lift_chime.wav"),
		Stairs("stairs.png", border = 2, 
			front_image = "stairs_front.png", front_border = 2,
			depth = 11),
			
		Gizmo("office_bookcase.png", depth = 10),
		Gizmo("office_desk.png", depth = 10),
		Gizmo("office_filing_cabinet.png", depth = 10),
		Gizmo("office_recep_left.png", border = 2, depth = 10),
		Detector("office_recep_centre.png", border = 2, depth = 10, color = (255, 255, 255)),
		Gizmo("office_recep_right.png", border = 2, depth = 10),
		BackDoor("office_open_window.png", 1, border = 2),
		
		Gizmo("lab_bench.png", height = 60, depth = 10),
		Gizmo("lab_bench_cupboards.png", depth = 10),
		Gizmo("lab_sink.png", depth = 10),
	]

def make_object_palette():
	return [
		Battery("red", "red_battery.png", "Red cloak battery"),
		Battery("green", "green_battery.png", "Green cloak battery"),
		Battery("blue", "blue_battery.png", "Blue cloak battery"),
		Information("document.png"),
		Information("cd.png"),
		Information("memstick.png"),
		Information("laptop.png"),
	]
